/**
* This is a simple example application.
* It contains an error in line 25 to
* demonstrate how easy you can fix it
* using CodeGuide.
*
* @author Omnicore Software
*/

import  java.awt.*;
import  java.awt.event.*;

public class Example
{
	/** Application entry function. */
	public static void main(String[] args)
	{
		// Create application frame.
		Frame frame = new Frame("Welcome");
		
		// Add button.
		Button button = new Button("Omnicore CodeGuide 1.1");
		frame.add(button);
		
		button.setFont(new Font("SansSerif", Font.BOL, 40));
		// CodeGuide shows errors as you type!    ^^^
		// It must be "BOLD" here.
		
		
		// Add window listener.
		frame.addWindowListener(new WindowAdapter() {
				
				/** Called when window close button was pressed. */
				public void windowClosing(WindowEvent e)
				{
					// Exit application.
					System.exit(0);
				}
			});
		
		// Add button listener.
		button.addActionListener(new ActionListener() {
				
				/** Called when button is pressed. */
				public void actionPerformed(ActionEvent e)
				{
					// Print message.
					System.out.println("CodeGuide is cool!");
				}
			});
		
		// Show frame.
		frame.pack();
		frame.show();
	}
}
